> For the complete documentation index, see [llms.txt](https://docs.ep.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ep.mburger.cloud/android-docs/messages/untitled-2.md).

# Stylization and parameters

You can set a couples of parameters when creating the plugin object:

* **order**: which order to be initialized this plugin, if not set plugin will be initialized according to the plugin array order
* **delayInSeconds**: it's the time after which the messages will be displayed once fetched

The `MBMessagesManager` is the main class which shows the messages and handles the stylization and if messages need to be shown or not. There are many possible parameters you can set to change message appaerances:

* **forceMessageStyle**: change the style for the messages:
  * **MBIAMConstants**.IAM\_STYLE\_BANNER\_TOP
  * **MBIAMConstants**.IAM\_STYLE\_BANNER\_BOTTOM
  * **MBIAMConstants**.IAM\_STYLE\_BANNER\_CENTER
  * **MBIAMConstants**.IAM\_STYLE\_FULL\_SCREEN\_IMAGE
* **debug**: show messages even if they have been already shown
* **backgroundColor**: the color of the background
* **titleColor**: the text color for the title of the message
* **bodyColor**: the text color for the body
* **closeButtonColor**: the color of the close button
* **closeButtonBackgroundColor**: the background color of the close button round
* **button1BackgroundColor**: the background color of the first action button
* **button1TitleColor**: the text color of the first action button
* **button2BackgroundColor**: the background color of the second action button
* **button2TitleColor**: the text color of the second action button
* **titleFontRes**: the font resource of the title
* **bodyFontRes**: the font resource of the body
* **buttonsTextFontRes**: the font resource of the buttons titles
* **titleSizeRes**: the font size resource of the title
* **bodySizeRes**: the font size resource of the body
* **buttonsSizeRes**: the font size resource of the buttons titles

All web links will be automatically handled, the in-app messages must be handled adding the `MNBIAMClickListener` which calls `onCTAClicked` with the CTA object in order to be handled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ep.mburger.cloud/android-docs/messages/untitled-2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
